[ubuntu-cloud-archive/havana-proposed] openvswitch (Accepted)

Dave Walker (Daviey) DaveWalker at ubuntu.com
Thu Jul 4 08:29:00 UTC 2013


 openvswitch (1.10.0-0ubuntu5~cloud0) precise-havana; urgency=low
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 openvswitch (1.10.0-0ubuntu5) saucy; urgency=low
 .
   * d/p/0007-tests-Tolerate-init-process-pid-1.patch: Resync with upstream
     accepted fix for FTBFS with upstart user sessions enabled, supercedes
     fix-init-user-sessions.patch with a more reliable test.
 .
 openvswitch (1.10.0-0ubuntu4) saucy; urgency=low
 .
   * Fix FTBFS when upstart user sessions are enabled:
     - d/p/fix-init-user-sessions.patch: init is not pid == 1 when building
       on Ubuntu with user sessions enabled; just check that the cmd name
       of the init process is 'init' instead.
 .
 openvswitch (1.10.0-0ubuntu3) saucy; urgency=low
 .
   * d/rules: Disable testing on powerpc architecture
     https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/1189408.
 .
 openvswitch (1.10.0-0ubuntu2) saucy; urgency=low
 .
   * Fix FTBFS on powerpc architecture:
     - d/p/{0004,0005,0006}*.patch: Cherry picked fixes from upstream VCS
       for failing lacp test.
 .
 openvswitch (1.10.0-0ubuntu1) saucy; urgency=low
 .
   * New upstream release:
     - d/p/handle-unix-socket-long-paths.patch: Dropped - included
       upstream.
     - d/control,NEWS: Drop openvswitch-brcompat package as feature has
       been dropped upstream, added NEWS entry to let users know.
     - d/tests: Update tests to drop brcompat module testing.
   * Add support for Linux 3.9 kernel (LP: #1180385):
     - d/p/0001-datapath-hlist-drop-the-node-parameter-from-iterator.patch:
       Cherry picked fix from upstream master branch to remove dropped
       node parameter from hlist calls.
     - d/p/0002-Add-support-for-linux-3.9-kernel.patch:
       Include the 3.9 kernel in the list of supported kernel versions.
     - d/p/0003-datapath-Backport-simplified-hlist-iterators.patch:
       Cherry picked fix to provide backported hlist iterators for older
       kernels.
     - d/rules: Always run boot.sh to pickup above changes.
 .
 openvswitch (1.9.0-0ubuntu1) raring; urgency=low
 .
   * New upstream release.
   * Added watch file.
 .
 openvswitch (1.9.0~git20130225.cec7c9e-0ubuntu1) raring; urgency=low
 .
   * New upstream snapshot.
   * d/rules.modules: Install built modules to updates/openvswitch to ensure
     that they override any kernel provided version of openvswitch.
 .
 openvswitch (1.9.0~git20130207.84b39f2-0ubuntu2) raring; urgency=low
 .
   * Add DEP-8 tests for dkms, module-assistant and openflow.
 .
 openvswitch (1.9.0~git20130207.84b39f2-0ubuntu1) raring; urgency=low
 .
   * New upstream snapshot from 1.9 branch:
     - d/p/support-linux-3.8.patch,
       d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
       Dropped as included upstream.
   * Fix dependencies for ovsdbmonitor (LP: #1098324):
     - d/control: Add dependency on python-twisted-conch.
   * d/control: Bumped Standards-Version, no changes.
 .
 openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu2) raring; urgency=low
 .
   * Fix typo in debian/openvswitch-controller.default (LP: #1094556).
 .
 openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu1) raring; urgency=low
 .
   * New upstream snapshot based on branch-1.9:
     - d/patches: Dropped all previous patches as all found upstream.
     - d/*: Synced packaging with upstream packaging changes.
     - d/control: Add libtool to BD's to support use of snapshot.
   * Fix compatibility with Linux 3.8 (LP: #1098650):
     - d/p/support-linux-3.8.patch:
       Accept Linux 3.8 as a compatible kernel version.
     - d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
       Adjust autoconf checks to correctly detect new kernel header file names.
   * Fix python test issues caused by long UNIX socket paths:
     - d/p/handle-unix-socket-long-paths.patch:
       Workaround long UNIX socket paths by using /proc/self/fd on Linux.
 .
 openvswitch (1.4.3-0ubuntu2) quantal-proposed; urgency=low
 .
   * Re-enable the openvswitch-datapath-dkms package to enable support
     for gre tunnels between virtual switches which is not supported
     in the kernel provided openvswitch module (LP: #1068365).
     - d/patches/0001->0008*.patch: Cherry picked patches from upstream
       trunk which enable support for the 3.5 linux kernel and align
       dkms module naming with kernel module naming.
     - d/dkms.conf.in: Drop _mod postfix from dkms module names.
 .
 openvswitch (1.4.3-0ubuntu1) quantal; urgency=low
 .
   * New upstream release (LP: #1057098).
   * Dropped Debian patches:
     - debian/patches/debian-changes-1.4.2+git20120612-6
     - debian/patches/bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch
     - debian/patches/bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch
     - debian/patches/debian-changes-1.4.2+git20120612-9
   * Dropped Ubuntu patches:
     - debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch
   * Remaining changes:
     - debian/rules, debian/control: Enable hardening wrapper.
     - debian/control: Disable openvswitch-datapath-dkms package.
 .
 openvswitch (1.4.2+git20120612-9ubuntu3) quantal; urgency=low
 .
   * debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch: Cherry
     picked upstream patch to avoid critical issues with SNAT/DNAT when OVS
     is chained with other Linux components. May be dropped with 1.4.3 upload.
     (LP: #1044318)
 .
 openvswitch (1.4.2+git20120612-9ubuntu2) quantal; urgency=low
 .
   * debian/rules, debian/control: Enable hardening wrapper.
 .
 openvswitch (1.4.2+git20120612-9ubuntu1) quantal; urgency=low
 .
   * Merge from Debian unstable; remaining changes:
     - d/control: Disable openvswitch-datapath-dkms package.
   * Dropped changes:
     - d/patches/kernel_3.5_support.patch: Superceded by
       bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch
 .
 openvswitch (1.4.2+git20120612-9) unstable; urgency=low
 .
   * Apply bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch to
     allow use of the openvswitch kernel module integrated into 3.3 and
     later.  Closes: #684057.
 .
 openvswitch (1.4.2+git20120612-8) unstable; urgency=low
 .
   * Apply further patches to fix bugs resulting from moving
     /etc/openvswitch/conf.db to /var/lib/openvswitch in -7.
 .
     This required applying the following bug fix patches:
 .
     bug-681880-3-Make-the-location-of-the-database-separately-configu.patch
     bug-681880-4-tests-Slightly-generalize-utility-function-tests.patch
     bug-681880-5-util-New-function-follow_symlinks.patch
     bug-681880-6-lockfile-Be-more-forgiving-about-lockfiles-for-symli.patch
     bug-681880-7-ovsdb-Do-not-replace-symlinks-by-regular-files-durin.patch
     bug-681880-8-Fix-a-typo-in-commit-f973f2af2.patch
     bug-681880-9-dirs-dbdir-default-must-be-based-on-sysconfdir.patch
 .
   * debian/rules: Configure /var/lib/openvswitch as the database directory
     instead of working through symlinks.  (The symlinks are still created
     for compatibility with people and existing software that are
     accustomed to seeing the database in its original location, but the
     Debian packages themselves never use the symlinks.)
 .
   * debian/openvswitch-switch.postrm: Also remove
     /ec/openvswitch/system-id.conf and conf.db backups on purge.
 .
   * utilities/ovs-pki.in: Use mode 0700 instead of 0733 for
     openvswitch-pki "incoming" directory, by applying
     bug-683665-use-mode-700-for-pki-incoming-dir.patch.  See the patch for
     complete rationale.  Closes: #683665.  Thanks to Andreas Beckmann
     <debian at abeckmann.de> for reporting this bug.
 .
   * debian/openvswitch-pki.postinst: Change mode of existing "incoming"
     directories to 0700 at configure time (see above).
 .
 openvswitch (1.4.2+git20120612-7) unstable; urgency=low
 .
   * Move /etc/openvswitch/conf.db to /var/lib/openvswitch, using symlinks.
     Closes: #681880.  Thanks to Bastian Blank <waldi at debian.org> for
     reporting this bug.
 .
     This required applying the following bug fix patches:
 .
     bug-681880-1-lockfile-Fix-hang-locking-through-a-dangling-symlink.patch
     bug-681880-2-ovsdb-Make-ovsdb-tool-create-work-through-a-dangling.patch
 .
   * Start the rest of OVS if bridge compatibility is enabled but the
     kernel bridge module cannot be loaded.  Closes: #681955.  Thanks to
     Bastian Blank <waldi at debian.org> for reporting this bug.
 .
     This was fixed by applying the following bug fix patch:
 .
     bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch
 .
 openvswitch (1.4.2+git20120612-6) unstable; urgency=low
 .
   * utilities/automake.mk: Fix duplicate mention of ovs-vsctl in
     bin_PROGRAMS and bin_SCRIPTS; it should only have been in the former.
     Closes: #682384.  Thanks to Bastian Blank <waldi at debian.org> for
     reporting this bug.
 .
 openvswitch (1.4.2+git20120612-5) unstable; urgency=low
 .
   * debian/openvswitch-controller.postrm: Remove configuration files in
     /etc/openvswitch-controller on purge.  Closes: #682187.  Thanks to
     Andreas Beckmann <debian at abeckmann.de> for reporting this bug.
 .
 openvswitch (1.4.2+git20120612-4ubuntu1) quantal; urgency=low
 .
   * Merge from Debian unstable.  Remaining changes:
     - d/control: Disable openvswitch-datapath-dkms package.
     - d/patches/kernel_3.5_support.patch: Fix openvswitch-switch startup
       with 3.5 kernel module name, allowing use of openvswitch without
       openvswitch-datapath-dkms.
 .
 openvswitch (1.4.2+git20120612-4) unstable; urgency=low
 .
   * debian/openvswitch-switch.init: Do not modify iptables rules.  Closes:
     #680537.  Thanks to Bastian Blank <waldi at debian.org> for reporting
     this bug.
 .
 openvswitch (1.4.2+git20120612-3ubuntu1) quantal; urgency=low
 .
   * Merge from Debian unstable.  Remaining changes:
     - d/control: Disable openvswitch-datapath-dkms package.
     - d/patches/kernel_3.5_support.patch: Fix openvswitch-switch startup
       with 3.5 kernel module name, allowing use of openvswitch without
       openvswitch-datapath-dkms.
 .
 openvswitch (1.4.2+git20120612-3) unstable; urgency=low
 .
   * debian/control: Add "netbase" dependency to ensure that /etc/protocols
     is available.  Closes: #680537.  Thanks to Bastian Blank <waldi at debian.org>
     for reporting this bug.
 .
 openvswitch (1.4.2+git20120612-2ubuntu2) quantal; urgency=low
 .
   * Disable openvswitch-datapath-dkms package (LP: #1018265); it's not
     compatible with the 3.5 kernel (which provides the openvswitch module)
     and if users really required the brcompat module and are using an older
     kernel then they can use openvswitch-datapath-source.
 .
 openvswitch (1.4.2+git20120612-2ubuntu1) quantal; urgency=low
 .
   * Fix openvswitch-switch startup with 3.5 kernel module name, allowing
     use of openvswitch without openvswitch-datapath-dkms (LP: #1021078):
     - d/patches/kernel_3.5_support.patch: Cherry picked patch from upstream
       VCS to align module naming with openvswitch module in 3.5 kernel.
 .
 openvswitch (1.4.2+git20120612-2) unstable; urgency=low
 .
   * Apply upstream commit that enables DKMS to automatically build for the
     running kernel, which seems to be common practice in DMS packaging
     (launchpad bug #962189)
 .
 openvswitch (1.4.2+git20120612-1) unstable; urgency=low
 .
   * New upstream version fixing the following bugs:
     o Crash fixes:
       - ofproto: Fix use after free in ofoperation_complete().
       - odp-util: Update ODPUTIL_FLOW_KEY_BYTES for current kernel flow format.
       - datapath: Check correct return value from skb_gso_segment().
     o Possible serious malfunctions:
       - dpif-netdev: allow for proper destruction of netdev datapaths.
       - datapath: Validation of IPv6 set port action uses IPv4 header.
     o Rare annoying corner case:
       - odp-util: Fix parsing of actions encapsulated within "sample" actions.
     o Bugs with unknown impact:
       - Correctly set destination MAC in mf_set_flow_value().
     o OpenFlow controller compatibility:
       - Allow OFPP_CONTROLLER as the in_port for packet-out messages.
 .
 openvswitch (1.4.0+git20120426-1) unstable; urgency=low
 .
   * New upstream release fixing the following bugs:
     o Broken log rotation.
     o Use-after-free error when ports disappear.
     o Minor memory leaks.
     o Testsuite failures on big-endian architectures.
 .
 openvswitch (1.4.0+git20120321-1) unstable; urgency=low
 .
   * New upstream version including:
     o Features:
       - ovs-vsctl: Allow "fake bridges" to be created for VLAN 0.
       - vswitchd: Make the MAC entry aging time configurable.
       - mac-learning: Increase MAC learning timeout to 300 seconds.
     o Bug fixes:
       - netdev-linux: Fix use-after-free when netdev_dump_queues() deletes
         queues.
       - netlink-socket: Increase Netlink socket receive buffer size.
       - ofproto: Fix code that keeps track of MTU.
       - ovs-monitor-ipsec: Detect correctly IPSEC configuration changes
       - bond: Incorrectly reported an error in appctl.
       - socket-util: Unlink Unix domain sockets that bind but fail to connect.
       - bridge: Remove unwanted ports at time of ofproto creation.
       - dpif-linux: Make dpif_linux_port_query_by_name() query only one
         datapath.
       - ofproto-dpif: Cleanup STP on ports when disabled on their bridge.
       - configure: Try to extract kernel source directory from build Makefile.
       - vswitchd: Always configure a default queue for QoS.
       - ofproto-dpif: Don't output to in_port even if in_port is OFPP_LOCAL.
       - sflow_agent: Use snprintf() in place of sprintf().
     o Packaging:
       - Move PKI directory to FHS-compliant location.  Closes: #661090.
         Thanks to Andreas Beckmann <debian at abeckmann.de> for reporting
         this bug.
       - Use a different way to avoid failing install without kernel module.
       - Avoid unit test failure when doing "unofficial" builds.
       - Bump standards-version to 3.9.3.
       - Remove some useless files from the dkms package.
       - Clean .pyc files in "clean" target.
       - Remove po-debconf build dependency.
       - Build-depend on python-all to pull in all Python versions.
       - Add missing ${python:Depends} to openvswitch-test package.
       - Improve long descriptions so as to better describe the packages.
       - Bump debhelper compat level to 8 and make build-depends consistent.
       - Fix exit status of openvswitch-switch init script "status" command.
       - Use provided kernel source dir instead of host kernel version.
       - Do not run "make" if "configure" fails during DKMS build.
       - Look in /lib/modules instead of /usr/src for DKMS kernel sources.
       - Fix dependencies for openvswitch-datapath-dkms package.
       - Don't install Python modules for obsolete Python versions.
       - Add dependency on ${misc:Depends} to openvswitch-test
     o Documentation improvements:
       - ovsdb-doc: Use minus sign in negative numbers in nroff output.
       - ovsdb-doc: Convert '-' preceding a number as a minus sign, not a
         hyphen.
       - ovsdb-doc: Put NAME section into generated manpage.
       - Fix typo in manpage.
       - vswitchd: Document behavior of 802.1p priorities with VLAN splinters.
       - netdev: Fix typo in error message.
       - INSTALL.Linux: minor typo
 .
   * Many thanks to Thomas Goirand <zigo at debian.org> for contributing many
     of the packaging fixes listed above.
 .
   * This version fixes most of the lintian errors described in bug
     #663051, but a few remain, so this upload does not close that bug.  I
     believe that this upload should be suitable for downgrading that bug's
     severity.
 .
 openvswitch (1.4.0-2+nmu1) unstable; urgency=low
 .
   * Non maintainer upload.
   * Removes all patches in debian/patches, because they are patching stuff
   inconditionally in debian/*, and this should be applied by default.
   * Uses the correct ${kernel_source_dir} in debian/dkms.conf.in, so that
   the kernel module builds as expected (Closes: #659685).
 .
 openvswitch (1.4.0-2) unstable; urgency=low
 .
   * Use explicit DKMS variable for kernel source directory
     - 0001-debian-Fix-dependencies-for-openvswitch-datapath-dkm.patch
     - 0002-debian-Look-in-lib-modules-instead-of-usr-src-for-DK.patch
     - 0001-debian-Use-provided-kernel-source-dir.patch
     - 0001-debian-Do-not-run-make-if-configure-fails-during-DKM.patch
     - (closes: #659685)
   * Don't install Python modules for obsolete Python versions
     - 0001-debian-Don-t-install-Python-modules-for-obsolete-Pyt.patch

Date: Fri, 21 Jun 2013 10:32:44 +0100
Changed-By: James Page <james.page at ubuntu.com>
Signed-By: James Page <james.page at ubuntu.com> 
Published-By: Dave Walker (Daviey) <DaveWalker at ubuntu.com>


More information about the Cloud-archive-changes mailing list